import { defineStore } from 'pinia'

export const usePersonCenterStore = defineStore('personCenter',
	{
		state: () => ({
			initialIndex: 0,
			fileName: '',
			urlsList: []
		}),
		actions: {
			setPreviewData (arr, index, fileName) {
				this.urlsList = arr
				this.initialIndex = index
				this.fileName = fileName
			},
			clearPreviewData () {
				this.urlsList = []
				this.initialIndex = 0
				this.fileName = ''
			}
		}
	},
	{
		persist: true,
		devtools: true
	}
)

